org.h2.build

## Class BuildBase.FileList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<java.io.File>
      - - org.h2.build.BuildBase.FileList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.io.File>, java.util.Collection<java.io.File>, java.util.List<java.io.File>, java.util.RandomAccess

Enclosing class:
  BuildBase

    public static class BuildBase.FileList
    extends java.util.ArrayList<java.io.File>

A list of files.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`BuildBase.FileList()`

### Method Summary

Methods
`BuildBase.FileList` `exclude(java.lang.String pattern)` Remove the files that match from the list.
`BuildBase.FileList` `keep(java.lang.String pattern)` Only keep the files that match.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### BuildBase.FileList

    public BuildBase.FileList()

### Method Detail

#### exclude

    public BuildBase.FileList exclude(java.lang.String pattern)

Remove the files that match from the list. Patterns must start or end with a *.

Parameters:
  `pattern` - the pattern of the file names to remove
Returns:
  the new file list

#### keep

    public BuildBase.FileList keep(java.lang.String pattern)

Only keep the files that match. Patterns must start or end with a *.

Parameters:
  `pattern` - the pattern of the file names to keep
Returns:
  the new file list